## google-guest-agent 20260115.00

=== Makefile ===
# build/debugging
ifeq ($(V),1)
Q :=
else
Q := @
endif

include build/Makefile.gobin

clean: clean-go-binaries clean-pbgo
build: build-go-binaries
test: go-unit-tests
check: go-lint

help:
	$(Q)echo  "VARIABLES:"
	$(Q)echo  "  ARTIFACTS         - Destination of test result files when invoking \"test\" target, a temporary"
	$(Q)echo  "                      directory will be created if the variable is not set."
	$(Q)echo  "  V                 - Runs the build system in verbose mode i.e. V=1 make"
	$(Q)echo  "  VERSION           - Sets the main.version flag for all binaries, defaults to \"dev\""
	$(Q)echo  " "
	$(Q)echo  "GENERAL TARGETS:"
	$(Q)echo  "  build             - Builds all binary artifacts (all code generation also happens)"
	$(Q)echo  "  check             - Runs linters and code checks"
	$(Q)echo  "  clean             - Cleans up binaries and generated code"
	$(Q)echo  "  help              - Prints this help message"
	$(Q)echo  "  test              - Runs all unit tests"

.PHONY: $(PHONY)
.DEFAULT_GOAL = build

## google-guest-agent 20200617.00

=== debian/changelog ===
google-guest-agent (20200617.00-0ubuntu5) groovy; urgency=medium

  * debian/rules: Don't stop or start google-startup-scripts and
    google-shutdown-scripts services

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 03 Oct 2020 00:47:33 +0200

google-guest-agent (20200617.00-0ubuntu4) groovy; urgency=medium

  * debian/gbp.conf: Use Ubuntu tags
  * Don't ship /etc/default/instance_configs.cfg.
    Also don't remove it when it exists according to upstream's request.
  * debian/extra/vendor/*: Add vendored module sources
  * debian/control: Drop unused Go build dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 30 Sep 2020 15:01:51 +0200

google-guest-agent (20200617.00-0ubuntu3) groovy; urgency=medium

  * debian/copyright: Use "Google Inc" as copyright holder
    instead of Google Cloud Platform

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 25 Aug 2020 19:41:08 +0200

google-guest-agent (20200617.00-0ubuntu2) groovy; urgency=medium

  * Install /etc/default/instance_configs.cfg to the right path

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Aug 2020 23:51:12 +0200

google-guest-agent (20200617.00-0ubuntu1) groovy; urgency=medium

  * Initial release (LP: #1870314)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Jul 2020 15:53:14 +0200

=== debian/control ===
Source: google-guest-agent
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
Homepage: https://github.com/GoogleCloudPlatform/guest-agent
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/GoogleCloudPlatform/guest-agent

Package: google-guest-agent
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Breaks: gce-compute-image-packages (<< 20191115)
Replaces: gce-compute-image-packages (<< 20191115)
Description: Google Compute Engine Guest Agent
 Contains the guest agent and metadata script runner binaries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	cp -r debian/extra/vendor ./
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installsystemd:
	dh_installsystemd google-guest-agent.service
	dh_installsystemd --no-start --no-restart-after-upgrade google-startup-scripts.service google-shutdown-scripts.service

override_dh_clean:
	dh_clean vendor/

## google-guest-agent 20201217.02

=== debian/changelog ===
google-guest-agent (20201217.02-0ubuntu1~18.04.0) bionic; urgency=medium

  * Backport to Bionic
  * Relax debhelper requirement to debhelper 10
  * Build with golang-1.13

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 15 Jan 2021 14:19:51 +0100

google-guest-agent (20201217.02-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1911448)
  * debian/watch: Fix version handing in the download URL
  * Update vendored files

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 19:13:59 +0100

google-guest-agent (20200617.00-0ubuntu8) hirsute; urgency=medium

  * debian/rules: Build the package as preferred by upstream
    - Strip the binary
    - Set main.version (LP: #1900897)
  * Declare Breaks: on python3-google-compute-engine
    to force conscious removal of the Python libraries that are not maintained
    and this package make obsolete. (LP: #1905986)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 13:24:40 +0100

google-guest-agent (20200617.00-0ubuntu7) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:16:15 +0000

google-guest-agent (20200617.00-0ubuntu6) groovy; urgency=medium

  * Import relevant patches from earlier gce-compute-image-packages package
    (LP: #1901033)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 22 Oct 2020 17:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 10),
                dh-golang,
-               golang-any
+               golang-1.13
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -19,7 +19,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
-Breaks: gce-compute-image-packages (<< 20191115)
+Breaks: gce-compute-image-packages (<< 20191115),
+        python3-google-compute-engine
 Replaces: gce-compute-image-packages (<< 20191115)
 Description: Google Compute Engine Guest Agent
  Contains the guest agent and metadata script runner binaries.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+export PATH := /usr/lib/go-1.13/bin:${PATH}
+# do what newer dh-golang would do to work with Go 1.13
+export GOCACHE := ${CURDIR}/_build/go-build
+export GO111MODULE = off
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
@@ -6,6 +11,9 @@
 override_dh_auto_configure:
 	cp -r debian/extra/vendor ./
 	dh_auto_configure
+
+override_dh_auto_build:
+	dh_auto_build -O--buildsystem=golang -- -ldflags="-s -w -X main.version=$(shell dpkg-parsechangelog -S Version)"
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## google-guest-agent 20210414.00

=== debian/changelog ===
google-guest-agent (20210414.00-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Apr 2021 21:07:47 +0200

google-guest-agent (20210414.00-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1924589)
    - call restorecon on ssh host keys (#98)
    - add ipv6 forwarded ip support (#101)
    - add a match block to sshd_config for SAs (#99)
    - Update error message for handleHealthCheckRequest. (#105)
    - Add systemd-networkd.service restart dependency
    - start sshd

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Apr 2021 18:18:15 +0200

google-guest-agent (20201217.02-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial
  * Relax debhelper requirement to debhelper 9
  * Build with golang-1.13

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 15 Jan 2021 14:19:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper (>= 9),
                dh-golang,
+               dh-systemd,
                golang-1.13
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent

## google-guest-agent 20210629.00

=== debian/changelog ===
google-guest-agent (20210629.00-0ubuntu1~18.04.1) bionic; urgency=medium

  * d/rules: Set GO111MODULE to "off" to avoid
    using internet during build.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 08 Sep 2021 23:05:26 +0530

google-guest-agent (20210629.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic. (LP: #1938286)
    - Lower dh-compat to 11.
    - Use golang-1.13-go instead of golang-any.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 02 Sep 2021 17:35:03 +0530

google-guest-agent (20210629.00-0ubuntu1) impish; urgency=medium

  * New upstream version 20210629.00. (LP: #1938286)
    - start sshd (#106).
    - more granular service restarts (#111).
    - systemd-notify in agentInit (#113).
    - use IP for MDS (#115).

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 28 Jul 2021 17:03:35 +0530

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #!/usr/bin/make -f
 
-export PATH := /usr/lib/go-1.13/bin:${PATH}
-# do what newer dh-golang would do to work with Go 1.13
-export GOCACHE := ${CURDIR}/_build/go-build
-export GO111MODULE = off
+# use Go 1.13 as golang-any defaults to Go 1.10, which
+# doesn't have new features needed by this package.
+export PATH := /usr/lib/go-1.13/bin:$(PATH)
+
+# temporary build path; needed by newer Go.
+OUR_GOPATH := $(CURDIR)/.gopath
+export GOPATH := $(OUR_GOPATH)
+export GOCACHE := $(CURDIR)/.gocache
+
+# GO111MODULE needs to be set to "off" to avoid checking
+# modules information online.
+export GO111MODULE := off
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## google-guest-agent 20211116.00

=== debian/changelog ===
google-guest-agent (20211116.00-6) unstable; urgency=medium

  * Don't try to start any services on installation.  (closes: #1010991)

 -- Bastian Blank <waldi@debian.org>  Mon, 16 May 2022 11:40:29 +0200

google-guest-agent (20211116.00-5) unstable; urgency=medium

  * Use a git-aware source format.
  * Cleanup systemd units from clutter.
  * Make sure all tools can show proper version info.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 May 2022 14:41:26 +0200

google-guest-agent (20211116.00-4) unstable; urgency=medium

  * Team uplaod.

  [ Michael Sprengel ]
  * Add default configuration from upstream

  [ Dominik George ]
  * Remove myself from uploaders.
  * Add Michael Banck as uploader.

 -- Dominik George <natureshadow@debian.org>  Fri, 01 Apr 2022 13:20:45 +0200

google-guest-agent (20211116.00-3) unstable; urgency=medium

  * Replace+Conflict+Provide python3-google-compute-engine (Closes: #1004071)

 -- Dominik George <natureshadow@debian.org>  Thu, 10 Feb 2022 09:44:05 +0100

google-guest-agent (20211116.00-2) unstable; urgency=medium

  [ Bastian Blank ]
  * Fix maintainer.

 -- Dominik George <natureshadow@debian.org>  Thu, 20 Jan 2022 13:00:53 +0100

google-guest-agent (20211116.00-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Tue, 30 Nov 2021 13:26:51 +0100

=== debian/control ===
Source: google-guest-agent
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-ini-ini-dev,
               golang-github-golang-groupcache-dev,
               golang-github-kardianos-service-dev,
               golang-github-tarm-serial-dev,
               golang-google-cloud-dev,
               golang-github-googlecloudplatform-guest-logging-go-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/cloud-team/google-guest-agent
Vcs-Git: https://salsa.debian.org/cloud-team/google-guest-agent.git
Homepage: https://github.com/GoogleCloudPlatform/guest-agent
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/GoogleCloudPlatform/guest-agent

Package: google-guest-agent
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: python3-google-compute-engine
Conflicts: python3-google-compute-engine
Provides: python3-google-compute-engine
Built-Using: ${misc:Built-Using}
Description: Guest Agent for Google Compute Engine
 Google Guest Agent is a daemon that enables guest features for interacting
 with the host on Google Cloud Engine.
 .
 These features include:
 .
  * Account management based on meta-data
  * Configuring OS Login against GCP
  * Detecting and preventing clock skew
  * Enable/disable/configure network interfaces and routes
  * Set performance options for storage and network

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags="-X 'main.version=$(DEB_VENDOR) $(DEB_VERSION)'"

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installsystemd:
	dh_installsystemd --no-start --restart-after-upgrade

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/GoogleCloudPlatform/guest-agent/tags .*/v?(\d\S*)\.tar\.gz debian

## google-guest-agent 20220104.00

=== debian/changelog ===
google-guest-agent (20220104.00-0ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 16:59:01 +0000

google-guest-agent (20220104.00-0ubuntu1) jammy; urgency=medium

  * New upstream version 20220104.00. (LP: #1959392)
    - Use IP address for calling the metadata server. (#116)
    - Debug logging. (#122)
    - Support enable-oslogin-sk key. (#120)
    - New integ test. (#124)
    - Restore line. (#127)
    - Correct linux startup script order. (#135)
    - Add WantedBy network dependencies to google-guest-agent
      service. (#136) (LP: #1938299)
    - Don't open ssh tempfile exclusively. (#137)
    - Enable ipv6 on secondary interfaces (#133)
    - Enforce script ordering. (#138)
    - Handle comm errors in script runner. (#140)
    - Integration test: test create and remove google user. (#128)
    - Integration tests: instance setup. (#143)
    - Don't duplicate logs. (#146)
    - Add malformed ssh key unit test. (#142)
    - Add or remove route integration test, utils. (#147)
    - List IPv6 routes. (#150)

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Fri, 28 Jan 2022 17:36:04 +0530

=== debian/control ===
Source: google-guest-agent
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
Homepage: https://github.com/GoogleCloudPlatform/guest-agent
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/GoogleCloudPlatform/guest-agent

Package: google-guest-agent
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Breaks: gce-compute-image-packages (<< 20191115),
        python3-google-compute-engine
Replaces: gce-compute-image-packages (<< 20191115)
Description: Google Compute Engine Guest Agent
 Contains the guest agent and metadata script runner binaries.

## google-guest-agent 20220622.00

=== debian/changelog ===
google-guest-agent (20220622.00-0ubuntu2~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #1980725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 17:08:17 +0530

google-guest-agent (20220622.00-0ubuntu2) kinetic; urgency=medium

  * d/rules: don't build google_authorized_keys as it
    conflicts with the same binary shipped by
    src:google-compute-engine-oslogin. (LP: #1980725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 14:43:54 +0530

google-guest-agent (20220622.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 17:27:21 +0530

google-guest-agent (20220622.00-0ubuntu1) kinetic; urgency=medium

  * New upstream version 20220622.00. (LP: #1959392)
    - Remove extra slash from metadata URL. (#151)
    - Remove han from owners. (#154)
    - Enable routes for ipv6. (#160)
    - Enable goproxy during build. (#163)
    - Move some functionality to a utils module. (#162)
    - Support .exe as an option for scripts and refactor runScript. (#165)
    - Restore double slash metadata url. (#166)
    - Support for Windows SSH. (#164)
    - Add authorized keys command to the Windows agent package. (#167)
    - No authorized keys on debian. (#168)
    - Repeat fix for arm. (#169)
    - Remove log that can break startup scripts. (#170)
    - Update for golang 1.16. (#171)
    - Try restoring module mode. (#172)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 13:26:57 +0530

google-guest-agent (20210629.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #1938286)

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 02 Sep 2021 17:22:45 +0530

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	cp -r debian/extra/vendor ./
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags="-s -w -X main.version=$(shell dpkg-parsechangelog -S Version)"

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installsystemd:
	dh_installsystemd google-guest-agent.service
	dh_installsystemd --no-start --no-restart-after-upgrade google-startup-scripts.service google-shutdown-scripts.service

override_dh_clean:
	dh_clean vendor/

## google-guest-agent 20230330.00

=== debian/changelog ===
google-guest-agent (20230330.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic. (LP: #2016593)
  * d/{rules,control}: Use Go 1.18 for build

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 27 Apr 2023 00:10:28 +0200

google-guest-agent (20230330.00-0ubuntu1) lunar; urgency=high

  * New upstream version 20230330.00. (LP: #2016593)
    - correct expired key handling (#175)
    - Expired key tests (#176)
    - add members to OWNERS (#178)
    - Workload certs (#177)
    - Workload certificate refresh (#182)
    - update workload_cert permissions (#180)
    - write workload cert status file (#184)
    - add workload cert refresh to preset (#185)
    - Updates to gce-workload-cert-refresh (#186)
    - Fix typo with wsfc agent (#189)
    - Validate user key for whitespace chars (#188)
    - Windows: retry adding MDS route (#194)
    - Updating logging module so cloud logs are flushed prior to exit
      (#196)
    - Update owners file (#199)
    - Update OWNERS (#201)
    - Allow a comment part of a pub ssh key to have an arbitrary format
      (#198)
  * d/extra/vendor: Update vendored dependencies.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Tue, 11 Apr 2023 20:17:10 +0530

google-guest-agent (20220622.00-0ubuntu5) lunar; urgency=medium

  * d/p/0005-make-service-directive-explicit.patch: restructure directives
    so services run in the correct order. (LP: #2004606)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 03 Feb 2023 00:14:03 +0000

google-guest-agent (20220622.00-0ubuntu4) lunar; urgency=medium

  * d/p/0005-remove-dupe-multi-user-target.patch: fix breaking typo
    in the service file. (LP: #1998864)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 08 Dec 2022 7:19:31 +0000

google-guest-agent (20220622.00-0ubuntu3) lunar; urgency=medium

  * d/p/0005-remove-dupe-multi-user-target.patch: Add patch to
    fix duplicate `multi-user.target` entries. (LP: #1998864)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 05 Dec 2022 19:52:50 +0000

google-guest-agent (20220622.00-0ubuntu2~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic.
    - Set GO111MODULE to off to avoid internet usage.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 17:30:39 +0530

google-guest-agent (20220622.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 17:36:28 +0530

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,19 @@
 #!/usr/bin/make -f
 
+# use Go 1.18 as golang-any defaults to Go 1.10, which
+# doesn't have new features needed by this package.
+export PATH := /usr/lib/go-1.18/bin:$(PATH)
+
+# temporary build path; needed by newer Go.
+OUR_GOPATH := $(CURDIR)/.gopath
+export GOPATH := $(OUR_GOPATH)
+export GOCACHE := $(CURDIR)/.gocache
+
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner
+
+# GO111MODULE needs to be set to "off" to avoid checking
+# modules information online.
+export GO111MODULE := off
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## google-guest-agent 20230426.00

=== debian/changelog ===
google-guest-agent (20230426.00-0ubuntu2~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 13:16:13 +0530

google-guest-agent (20230426.00-0ubuntu2) mantic; urgency=medium

  * d/rules: Add --no-stop-on-upgrade for upgrade path
    to enforce no stop of the services on package upgrade.
    This has the desired side-effect of not stopping, starting or
    restarting the services as a part of the upgrade (LP: #2019089)
  * d/{rules,install}: ship gce-workload-cert-refresh.timer.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 16 May 2023 11:11:11 +0530

google-guest-agent (20230426.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 10:17:32 +0200

google-guest-agent (20230426.00-0ubuntu1) mantic; urgency=medium

  * New upstream version 20230426.00. (LP: #2018272)
    - update mod: update golang.org/x/net to 0.7.0 and its
      dependencies.
    - Fix compilation directives.
  * d/extra/vendor: Update vendored dependencies.
    (Fixes: CVE-2022-41723)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 08:51:38 +0200

google-guest-agent (20230330.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #2016593)
  * d/{rules,control}: Use Go 1.18 for build

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 26 Apr 2023 14:53:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-any
+               golang-1.18-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh

# use Go 1.18 as golang-any defaults to Go 1.13, which
# doesn't have new features needed by this package.
export PATH := /usr/lib/go-1.18/bin:$(PATH)

# temporary build path; needed by newer Go.
OUR_GOPATH := $(CURDIR)/.gopath
export GOPATH := $(OUR_GOPATH)
export GOCACHE := $(CURDIR)/.gocache

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	cp -r debian/extra/vendor ./
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags="-s -w -X main.version=$(shell dpkg-parsechangelog -S Version)"

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installsystemd:
	dh_installsystemd google-guest-agent.service
	dh_installsystemd gce-workload-cert-refresh.timer
	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade google-startup-scripts.service google-shutdown-scripts.service gce-workload-cert-refresh.timer

override_dh_clean:
	dh_clean vendor/

## google-guest-agent 20231004.02

=== debian/changelog ===
google-guest-agent (20231004.02-0ubuntu1~20.04.4) focal-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 08:53:49 +0530

google-guest-agent (20231004.02-0ubuntu1~20.04.3) focal-security; urgency=medium

  * d/control: Add a dependency on `google-compute-engine-oslogin`
    (LP: #2050956)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Sat, 27 Jan 2024 01:44:03 +0000

google-guest-agent (20231004.02-0ubuntu1~20.04.2) focal-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:05:39 +0530

google-guest-agent (20231004.02-0ubuntu1~20.04.1) focal; urgency=medium

  * No-change rebuild for Focal.
  * Use Golang 1.21 as requested by Google.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 20 Nov 2023 18:16:06 +0530

google-guest-agent (20231004.02-0ubuntu1) noble; urgency=medium

  * New upstream version 20231004.02. (LP: #2040945)
  * d/extra/vendor: Update vendored dependencies.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 26 Oct 2023 03:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-1.18-go
+               golang-1.21-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -17,7 +17,8 @@
 Package: google-guest-agent
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         google-compute-engine-oslogin (>=20231004.00-0ubuntu1~20.04.1)
 Built-Using: ${misc:Built-Using}
 Breaks: gce-compute-image-packages (<< 20191115),
         python3-google-compute-engine

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# use Go 1.21 as requested by Google.
+export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%guest-agent-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/GoogleCloudPlatform/guest-agent/tags .*/([\d\.]+)\.tar\.gz debian

## google-guest-agent 20240213.00

=== debian/changelog ===
google-guest-agent (20240213.00-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Go 1.22.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 08 Apr 2024 14:53:33 +1200

google-guest-agent (20240213.00-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:39 +1100

google-guest-agent (20240213.00-0ubuntu1) noble; urgency=medium

  [ Utkarsh Gupta ]
  * Add a reason to include include-binaries file.

  [ Chloé 'kajiya' Smith ]
  * New upstream version, v20240213.00. (LP: #2054484)
  * d/extra/vendor: Update the vendored dependencies.
  * d/source/include-binaries: add new file.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 21 Feb 2024 00:25:47 +0000

google-guest-agent (20231004.02-0ubuntu3) noble; urgency=medium

  * d/control: Fix dependency version of `google-compute-engine-oslogin`
    to match archive (LP: #2050956)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 26 Jan 2024 15:12:02 +0000

google-guest-agent (20231004.02-0ubuntu2) noble; urgency=medium

  * d/control: There should b a dependency on `google-compute-engine-oslogin`
    to match the Google managed control file (LP: #2050956)
    * Also updated the `Vcs-` fields and removed the `Uploaders` field.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 23 Jan 2024 13:43:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-1.21-go
+               golang-any
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -18,7 +18,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         google-compute-engine-oslogin (>=20231004.00-0ubuntu1~20.04.1)
+         google-compute-engine-oslogin (>= 20231004.00-0ubuntu1)
 Built-Using: ${misc:Built-Using}
 Breaks: gce-compute-image-packages (<< 20191115),
         python3-google-compute-engine

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,6 @@
 #!/usr/bin/make -f
 
-# use Go 1.21 as requested by Google.
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
-
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
-
-# use Go 1.18 as golang-any defaults to Go 1.13, which
-# doesn't have new features needed by this package.
-export PATH := /usr/lib/go-1.18/bin:$(PATH)
-
-# temporary build path; needed by newer Go.
-OUR_GOPATH := $(CURDIR)/.gopath
-export GOPATH := $(OUR_GOPATH)
-export GOCACHE := $(CURDIR)/.gocache
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## google-guest-agent 20240716.00

=== debian/changelog ===
google-guest-agent (20240716.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 25 Jul 2024 20:01:29 +0100

google-guest-agent (20240716.00-0ubuntu1) oracular; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 20240716.00. (LP: #2073163)
  * Update vendored dependencies.
  * Set DH_GOLANG_INSTALL_EXTRA to editions_defaults.binpb.

  [ Chloé Smith ]
  * d/p/0006-add-after-cloud-config-service.patch: add patch
    to force ordering between cloud-init and the guest agent.
    (LP: #2057965)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 18 Jul 2024 23:47:17 +0530

google-guest-agent (20240213.00-0ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/extra/vendor/googgle.golang.org/protobuf was
      patched with a backport of f01a588e5810b90996452eec4a28f22a0afae023
      in files encoding/protojson/well_known_types.go,
      internal/encoding/json/decode.go.
    - debian/extra/vendor adding patches-applied and README.txt for
      track/documentation propose about patches applied in vendored sources.
    - CVE-2024-24786

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 12 Jun 2024 10:15:12 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-any
+               golang-1.21-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,19 @@
 #!/usr/bin/make -f
 
+# use Go 1.21 as requested by Google.
+export PATH := /usr/lib/go-1.21/bin:$(PATH)
+
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
+export DH_GOLANG_INSTALL_EXTRA := vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
+
+# use Go 1.18 as golang-any defaults to Go 1.13, which
+# doesn't have new features needed by this package.
+export PATH := /usr/lib/go-1.18/bin:$(PATH)
+
+# temporary build path; needed by newer Go.
+OUR_GOPATH := $(CURDIR)/.gopath
+export GOPATH := $(OUR_GOPATH)
+export GOCACHE := $(CURDIR)/.gocache
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## google-guest-agent 20241011.01

=== debian/changelog ===
google-guest-agent (20241011.01-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic (LP: #2084498) 

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 26 Nov 2024 23:11:47 +0000

google-guest-agent (20241011.01-0ubuntu1) plucky; urgency=medium

  * New version for upstream tag 20241011.01. (LP: #2084498)
     * Revendor golang dependencies.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 14 Oct 2024 20:46:56 +0100

google-guest-agent (20240716.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 05 Sep 2024 16:33:31 +0530

google-guest-agent (20231004.02-0ubuntu1~18.04.2) bionic; urgency=medium

  * Use dh-golang >= 1.34.3 for building g-g-a.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 22 Nov 2023 18:57:31 +0000

google-guest-agent (20231004.02-0ubuntu1~18.04.1) bionic; urgency=medium

  * No-change rebuild for Bionic.
  * Use Go 1.21 as requested by Google.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 22 Nov 2023 08:02:20 +0530

google-guest-agent (20230426.00-0ubuntu2~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 13:22:23 +0530

google-guest-agent (20230426.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 10:19:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
-               golang-1.21-go
+Build-Depends: debhelper (>= 11),
+               dh-golang (>= 1.34.3),
+               golang-for-gce-agents-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -18,7 +18,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         google-compute-engine-oslogin (>= 20231004.00-0ubuntu1)
+         google-compute-engine-oslogin (>=20231004.00-0ubuntu1~22.04.1)
 Built-Using: ${misc:Built-Using}
 Breaks: gce-compute-image-packages (<< 20191115),
         python3-google-compute-engine

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,19 @@
 #!/usr/bin/make -f
-
-# use Go 1.21 as requested by Google.
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
 export DH_GOLANG_INSTALL_EXTRA := vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
 
-# use Go 1.18 as golang-any defaults to Go 1.13, which
-# doesn't have new features needed by this package.
-export PATH := /usr/lib/go-1.18/bin:$(PATH)
+# use Go 1.21 as requested by Google.
+export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 # temporary build path; needed by newer Go.
 OUR_GOPATH := $(CURDIR)/.gopath
 export GOPATH := $(OUR_GOPATH)
 export GOCACHE := $(CURDIR)/.gocache
+
+# GO111MODULE needs to be set to "off" to avoid checking
+# modules information online.
+export GO111MODULE := off
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## google-guest-agent 20250116.00

=== debian/changelog ===
google-guest-agent (20250116.00-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Authorization bypass in SSH protocol
    - debian/extra/vendor/golang.org/x/crypto/ssh/server.go: Change
      maxCachedPubKeys to 1 and change limit checks. Based on:
      https://github.com/golang/crypto/commit/b4f1988a35dee11ec3e05d6bf3e90b695fbd8909
    - CVE-2024-45337

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 23 Oct 2025 15:25:07 -0230

google-guest-agent (20250116.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No change rebuild for Jammy Jellyfish.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 13 Feb 2025 10:48:15 +0000

google-guest-agent (20250116.00-0ubuntu1) plucky; urgency=medium

  * New upstream version for upstream tag 20250116.00. (LP: #2096765)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 27 Jan 2025 13:26:46 +0000

google-guest-agent (20241011.01-0ubuntu1~22.04.0) jammy; urgency=medium

  * Rebuild for Jammy

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 06 Nov 2024 21:14:43 +0000

google-guest-agent (20240716.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 26 Jul 2024 14:49:34 +0100

google-guest-agent (20231004.02-0ubuntu1~22.04.5) jammy-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 09:42:57 +0530

google-guest-agent (20231004.02-0ubuntu1~22.04.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/extra/vendor/googgle.golang.org/protobuf was
      patched with a backport of f01a588e5810b90996452eec4a28f22a0afae023
      in files encoding/protojson/well_known_types.go,
      internal/encoding/json/decode.go.
    - debian/extra/vendor adding patches-applied and README.txt for
      track/documentation propose about patches applied in vendored sources.
    - CVE-2024-24786

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 14 Mar 2024 07:08:12 -0300

google-guest-agent (20231004.02-0ubuntu1~22.04.3) jammy-security; urgency=medium

  * d/control: Add a dependency on `google-compute-engine-oslogin`
    (LP: #2050956)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Sat, 27 Jan 2024 01:05:12 +0000

google-guest-agent (20231004.02-0ubuntu1~22.04.2) jammy-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:10:54 +0530

google-guest-agent (20231004.02-0ubuntu1~22.04.1) jammy; urgency=medium

  * No-change rebuild for Jammy.
  * Use Golang 1.21 as requested by Google.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 20 Nov 2023 14:32:09 +0530

google-guest-agent (20230426.00-0ubuntu2~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 13:13:37 +0530

google-guest-agent (20230426.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 10:15:49 +0200

google-guest-agent (20230330.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #2016593)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 26 Apr 2023 14:49:52 +0200

google-guest-agent (20220622.00-0ubuntu2~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 17:05:25 +0530

google-guest-agent (20220622.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 17:09:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: google-guest-agent
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>
+Uploaders: Utkarsh Gupta <utkarsh@ubuntu.com>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.34.3),
-               golang-for-gce-agents-go
+Build-Depends: debhelper-compat (= 12),
+               dh-golang,
+               golang-1.21-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master

=== debian/rules ===
#!/usr/bin/make -f

# use Go 1.21 as requested by Google.
export PATH := /usr/lib/go-1.21/bin:$(PATH)

export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
export DH_GOLANG_INSTALL_EXTRA := vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	cp -r debian/extra/vendor ./
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags="-s -w -X main.version=$(shell dpkg-parsechangelog -S Version)"

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installsystemd:
	dh_installsystemd google-guest-agent.service
	dh_installsystemd gce-workload-cert-refresh.timer
	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade google-startup-scripts.service google-shutdown-scripts.service gce-workload-cert-refresh.timer

override_dh_clean:
	dh_clean vendor/

## google-guest-agent 20250506.01

=== debian/changelog ===
google-guest-agent (20250506.01-0ubuntu1) questing; urgency=medium

  * New upstream version for upstream tag 20250506.01. (LP: #2113792)
    * Golang revendoring for the bump from 1.20 to 1.23.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 09 Jun 2025 21:56:02 +0100

google-guest-agent (20250116.00-0ubuntu2) plucky; urgency=medium

  * No-change rebuild against Go 1.24.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 24 Feb 2025 09:32:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# use Go 1.21 as requested by Google.
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
 export DH_GOLANG_INSTALL_EXTRA := vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
@@ -17,8 +14,47 @@
 	dh_auto_build -O--buildsystem=golang -- -ldflags="-s -w -X main.version=$(shell dpkg-parsechangelog -S Version)"
 
 override_dh_auto_install:
+	# Binary-only package.
 	dh_auto_install -- --no-source
+	install -d debian/google-guest-agent/usr/share/google-guest-agent
+	sed -i "s/vlan_setup_enabled = false/vlan_setup_enabled = true/g" instance_configs.cfg
+	install -p -m 0644 instance_configs.cfg debian/google-guest-agent/usr/share/google-guest-agent
+	install -d debian/google-guest-agent/lib/systemd/system
+	install -p -m 0644 gce-workload-cert-refresh.timer debian/google-guest-agent/lib/systemd/system/
+	if [ -d google-guest-agent ]; then\
+		install -d debian/google-guest-agent/usr/lib/google/guest_agent;\
+		install -p -m 0755 google-guest-agent/cmd/gce_metadata_script_runner/gce_metadata_script_runner debian/google-guest-agent/usr/bin/gce_metadata_script_runner;\
+		install -p -m 0755 google-guest-agent/cmd/google_guest_compat_manager/google_guest_compat_manager debian/google-guest-agent/usr/bin/google_guest_compat_manager;\
+		install -p -m 0755 google-guest-agent/cmd/google_guest_agent/google_guest_agent debian/google-guest-agent/usr/bin/google_guest_agent_manager;\
+		install -p -m 0755 google-guest-agent/cmd/ggactl/ggactl_plugin_cleanup debian/google-guest-agent/usr/bin/ggactl_plugin_cleanup;\
+		install -p -m 0755 google-guest-agent/cmd/core_plugin/core_plugin debian/google-guest-agent/usr/lib/google/guest_agent/core_plugin;\
+		install -p -m 0755 google-guest-agent/cmd/metadata_script_runner_compat/gce_compat_metadata_script_runner debian/google-guest-agent/usr/bin/gce_compat_metadata_script_runner;\
+	fi
 
+override_dh_systemd_enable:
+	install -d debian/google-guest-agent/lib/systemd/system
+	install -p -m 0644 *.service debian/google-guest-agent/lib/systemd/system/
+	# Don't include guest agent manager if not building with it.
+	if [ ! -d google-guest-agent ]; then\
+		rm -f debian/google-guest-agent/lib/systemd/system/google-guest-compat-manager.service;\
+		rm -f debian/google-guest-agent/lib/systemd/system/google-guest-agent-manager.service;\
+	fi
+	install -d debian/google-guest-agent/lib/systemd/system-preset
+	install -p -m 0644 *.preset debian/google-guest-agent/lib/systemd/system-preset/
+	dh_systemd_enable google-guest-agent.service google-startup-scripts.service google-shutdown-scripts.service gce-workload-cert-refresh.timer
+	if [ -d google-guest-agent ]; then\
+		dh_systemd_enable google-guest-compat-manager.service;\
+		dh_systemd_enable google-guest-agent-manager.service;\
+	fi
+
+override_dh_systemd_start:
+	# Only perform start/stop actions for the guest agent and cert refresh timer.
+	dh_systemd_start google-guest-agent.service
+	dh_systemd_start gce-workload-cert-refresh.timer
+	if [ -d google-guest-agent ]; then\
+		dh_systemd_start google-guest-compat-manager.service;\
+		dh_systemd_start google-guest-agent-manager.service;\
+	fi
 override_dh_installsystemd:
 	dh_installsystemd google-guest-agent.service
 	dh_installsystemd gce-workload-cert-refresh.timer
